
Redmine - Defect #28920

Redmine::VERSION::revision should take subversion_command setting into account

2018-05-31 10:41 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

The revision number may not be shown on admin_info page because the execution of the svn command fails in some cases.

Redmine::VERSION::revision method should take scm_subversion_command setting into account.

Index: lib/redmine/version.rb

===================================================================

--- lib/redmine/version.rb    (revision 17354)

+++ lib/redmine/version.rb    (working copy)

@@ -17,7 +17,7 @@

       if File.directory?(File.join(Rails.root, '.svn'))

         begin

           path = Redmine::Scm::Adapters::AbstractAdapter.shell_quote(Rails.root.to_s)

-          if `svn info --xml #{path}` =~ /revision="(\d+)"/

+          if `#{Redmine::Scm::Adapters::SubversionAdapter.client_command} info --xml #{path}` =~ 

/revision="(\d+)"/

             return $1.to_i

           end

         rescue

Related issues:

Related to Redmine - Feature #7517: Configurable path of executable for scm a... Closed 2011-02-02

Related to Redmine - Defect #32110: "already initialized constant Redmine::Sc... Closed

Associated revisions

Revision 17407 - 2018-06-22 07:30 - Go MAEDA

Redmine::VERSION::revision should take subversion_command_setting into account (#28920).

Patch by Yuichi Harada.

History

#1 - 2018-05-31 11:50 - Go MAEDA

- Related to Feature #7517: Configurable path of executable for scm adapters added

#2 - 2018-06-03 06:40 - Go MAEDA

- Target version set to 4.1.0

#3 - 2018-06-22 07:31 - Go MAEDA

- Subject changed from Redmine::VERSION::revision method may fail due to hardcoded svn command name to Redmine::VERSION::revision should

take subversion_command_setting into account

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. The patch was provided by Yuichi Harada. Thank you for the contribution.
#4 - 2018-08-05 15:12 - Go MAEDA

- Subject changed from Redmine::VERSION::revision should take subversion_command_setting into account to Redmine::VERSION::revision should

take subversion_command setting into account

#5 - 2019-10-02 08:42 - Go MAEDA

- Related to Defect #32110: "already initialized constant Redmine::Scm::Adapters::SubversionAdapter::SVN_BIN" warning when executing rake tasks

added
